[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dpkg upload

On Mon, 02 Aug 2010, Philipp Kern wrote:
> Hi,
> On Mon, Aug 02, 2010 at 12:49:48AM +0200, Guillem Jover wrote:
> > Actually, the strict dependencies introduced in should have
> > been there in 1.15.8, so the fact they were missing was just a bug
> > (and a helpful one, or all the architectures would have suffered the
> > same fate :).
> > 
> > I don't see why it cannot be built anymore, the only thing changed was
> > bumping a dpkg-dev Depends on dpkg, at which point the new dpkg-dev
> > (arch:all) became uninstallable because the new dpkg (arch:any) was not
> > yet available, *but* those are always installed on buildds.
> debhelper was not installable in a plain sid chroot.  I cannot remember why but
> it even happened on the buildd, which is why I had to resort to build against
> testing.

I really don't see how this can have happened. debhelper 7.9.3 depends on
"dpkg-dev (>= 1.14.19)" and installing it doesn't force any dpkg-dev upgrade.

Raphaël Hertzog ◈ Debian Developer ◈ [Flattr=20693]

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)

Reply to: